Skip to main content
POST
/
v2
/
leads
/
upload
Upload lead records
curl --request POST \
  --url https://api.carecycle.ai/v2/leads/upload \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "records": [
    {
      "postalCode": "<string>",
      "phoneNumber": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "<string>",
      "timezone": "<string>",
      "state": "<string>",
      "city": "<string>",
      "county": "<string>",
      "address": "<string>",
      "address2": "<string>",
      "dateOfBirth": "<string>",
      "language": "<string>",
      "gender": "Male",
      "maritalStatus": "Single",
      "filingStatus": "<string>",
      "dependentCount": -1,
      "householdIncome": -1,
      "isDecisionMaker": true,
      "medicaid": true,
      "medicaidNumber": "<string>",
      "veteran": true,
      "vaNumber": "<string>",
      "socialSecurityDisability": true,
      "carrierAssignedCustomerId": "<string>",
      "healthSherpaCustomerId": "<string>",
      "mbiNumber": "<string>",
      "doNotCall": true,
      "doNotSMS": true,
      "doNotEmail": true,
      "doNotMail": true,
      "externalId": "<string>",
      "customFields": [
        {
          "fieldKey": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}
'
{
  "succeeded": 123,
  "failed": 123,
  "errors": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalId": "<string>",
      "error": "<string>"
    }
  ]
}
Upload lead (customer) records into CareCycle. This endpoint creates or updates customer records using flexible identification. All new leads are automatically assigned a “Lead” status. Which campaign a lead enters is determined by campaigns configured with a Lead Created entry point. See Pulse & Nodes for more information.
This endpoint does not handle customers with policies. Use the ACA Sync or Medicare Sync endpoints to sync policies.

Authorizations

x-api-key
string
header
required

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

Body

application/json

POST /v2/leads/upload Request body

records
object[]
required

Array of lead records to upload (1-100)

Required array length: 1 - 100 elements

Response

POST /v2/leads/upload Positive response

succeeded
number
required

Number of successfully synced records

failed
number
required

Number of failed records

errors
object[]
required

Errors for failed records (empty if all succeeded)